Last Comment Bug 668227 - Remember the urlbar being focused when switching to a tab with a modal prompt
: Remember the urlbar being focused when switching to a tab with a modal prompt
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Dão Gottwald [:dao]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 08:28 PDT by Dão Gottwald [:dao]
Modified: 2015-01-07 03:54 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.65 KB, patch)
2011-06-29 08:28 PDT, Dão Gottwald [:dao]
gavin.sharp: review+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2011-06-29 08:28:38 PDT
Created attachment 542827 [details] [diff] [review]
patch
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-06-29 09:02:02 PDT
Comment on attachment 542827 [details] [diff] [review]
patch

can you add a test to browser_tabfocus.js?
Comment 2 Dão Gottwald [:dao] 2011-06-29 09:09:00 PDT
A test involving a tab-modal prompt? I'd rather not...
Comment 3 Dão Gottwald [:dao] 2011-07-01 05:40:45 PDT
http://hg.mozilla.org/mozilla-central/rev/23101a6aa6c3
Comment 4 Vlad [QA] 2011-07-07 08:01:08 PDT
Can you provide some STR please in order to verify this.
Thx
Comment 5 Dão Gottwald [:dao] 2011-07-07 08:32:35 PDT
1. Open data:text/html,<script>alert(1)</script> and don't close the alert
2. Switch back to the previous tab
3. Focus the location bar
4. Switch back to the tab you opened
5. Switch back to the previous tab

-> The location bar should be focused again
Comment 6 Vlad [QA] 2011-08-29 06:10:35 PDT
Considering comment5, setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0 beta 2
Comment 7 Vlad [QA] 2011-08-29 06:47:42 PDT
This behavior does not apply to
Mozilla/5.0 (X11; Linux x86_64; rv:7.0) Gecko/20100101 Firefox/7.0 beta 2 and also the 32 bit version.

After flowing the steps from comment5, the location bar isn't in focus.

Note You need to log in before you can comment on or make changes to this bug.